﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HierListTest.aspx.cs" Inherits="SCS.Web.UI.WebControls.Test.HierListTest" %>

<%@ Register assembly="SCS.HierList" namespace="SCS.Web.UI.WebControls" tagprefix="cc1" %>
<%@ Register assembly="SCS.MenuExtender" namespace="SCS.Web.UI.WebControls" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>HierList Test</title>
    <link href="styles/main.css" rel="stylesheet" type="text/css" />
    <link href="styles/menu-h.css" rel="stylesheet" type="text/css" />
    <script src="scripts/jquery-1.5.2.min.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" ScriptMode="Debug" />

        <div>    
            Menu Type: 
            <asp:DropDownList ID="menuTypeSelect" runat="server" AutoPostBack="true">
                <asp:ListItem Value="H">Horizontal</asp:ListItem>
                <asp:ListItem Value="V">Vertical</asp:ListItem>
            </asp:DropDownList>

            <br />
            <br />

            <cc1:HierList ID="MediaOutline" runat="server">
                <cc1:HierListItem Text="Telivision" Value="Telivision">
                    <cc1:HierListItem Text="24" Value="24" />
                    <cc1:HierListItem Text="Friends" Value="Friends" />
                    <cc1:HierListItem Text="Simpsons" Value="Simpsons" />
                    <cc1:HierListItem Text="Seinfeld" Value="Seinfeld" />
                </cc1:HierListItem>
                <cc1:HierListItem Text="Movies" Value="Movies">
                    <cc1:HierListItem Text="Scream" Value="Scream" />
                    <cc1:HierListItem Text="Terminator" Value="Terminator">
                        <cc1:HierListItem Text="The Terminator" Value="The Terminator" />
                        <cc1:HierListItem Text="Judgement Day" Value="Judgement Day" />
                        <cc1:HierListItem Text="Rise of the Machines" Value="Rise of the Machines" />
                        <cc1:HierListItem Text="Terminator Salvation" Value="Terminator Salvation" />
                    </cc1:HierListItem>
                    <cc1:HierListItem Text="The Matrix" Value="The Matrix" />
                </cc1:HierListItem>
                <cc1:HierListItem Text="Books" Url="Books">
                    <cc1:HierListItem Text="The Firm" Value="The Firm" />
                    <cc1:HierListItem Text="Jurassic Park" Value="Jurassic Park" />
                    <cc1:HierListItem Text="Life Expectancy" Value="Life Expectancy" />
                </cc1:HierListItem>
            </cc1:HierList>
            
            <cc1:MenuExtender ID="MediaOutlineExtender" runat="server"                            
                TargetControlID="MediaOutline" 
                BehaviorID="MenuBehavior"
                MenuCssClass="menu-h" />
        </div>
    </form>

    <script type="text/javascript">

      function pageLoad() {

        var menu = $find("MenuBehavior");
        var item = menu.find("Movies");

        //alert(item.get_Enabled());

        //item.set_Enabled(false);

        //alert(item.get_Enabled());
    }
    </script>
</body>
</html>
